$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "universal_table/version"
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
  env_pwd = ENV['PWD']
  app_path = File.expand_path(__dir__)
  template_path = env_pwd + '/app/templates'
  all_template = Dir.glob(template_path+'/*/')
  all_template.each do |folder|
    if !folder.include?('mobile')
      moudle_path = "#{folder}modules/universal_table/"
      if !Dir.exist?(moudle_path) && Dir.exist?(File.dirname(moudle_path))
        Bundler.with_clean_env{system ('cp -r '+ app_path + '/modules/ ' + folder)}
      end
    end
  end
end
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "universal_table"
  s.version     = UniversalTable::VERSION
  s.authors     = ["Ruling Digital"]
  s.email       = ["orbit@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "Table module for Orbit 4.5."
  s.description = "Table module for Orbit 4.5."
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]
end
